nn.pp.rccore

## Enum RCCore.Interpolation

- java.lang.Object
- - java.lang.Enum<RCCore.Interpolation>
  - - nn.pp.rccore.RCCore.Interpolation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.Interpolation>
  Enclosing interface:
    RCCore

      public static enum RCCore.Interpolation
      extends java.lang.Enum<RCCore.Interpolation>

  Enumeration for Interpolation values

  This is relevant when the KVM console is being scaled.

  See Also:
    `RCCore.setInterpolation(RCCore.Interpolation)`, `RCCore.getInterpolation()`, `RCCore.setScaling(double, double)`, `RCCore.setScaleToFit(boolean, boolean, Dimension)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEST` Best quality, but slowest interpolation; most likely bicubic algorithm
    `FAST` Fast interpolation, but least quality; most likely nearest neighbor algorithm
    `GOOD` Good interpolation; most likely bilinear algorithm; looks better than MEDIUM, but is noticeably slower, especially when upscaling
    `NONE` No interpolation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.Interpolation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.Interpolation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final RCCore.Interpolation NONE

      No interpolation

    - #### FAST

          public static final RCCore.Interpolation FAST

      Fast interpolation, but least quality; most likely nearest neighbor algorithm

    - #### GOOD

          public static final RCCore.Interpolation GOOD

      Good interpolation; most likely bilinear algorithm; looks better than MEDIUM, but is noticeably slower, especially when upscaling

    - #### BEST

          public static final RCCore.Interpolation BEST

      Best quality, but slowest interpolation; most likely bicubic algorithm

  - ### Method Detail

    - #### values

          public static RCCore.Interpolation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.Interpolation c : RCCore.Interpolation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.Interpolation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.